# Contact Info

## Fetch all of a Contact's Information

Fetch a specific contact's data in an inabit organization, according to the contact's ID.

Using this endpoint users can search specific contacts using their ID (the call must be per contact ID).

The response contains the contact’s information including: contact name, ID, address, blockchain, blockchain code and more.

```graphql
query Contact($where: ContactWhereUniqueInput!) {
  contact(where: $where) {
    id
    contactCryptoAccounts {
      address
      blockchainProtocol {
        code
      }
      lastTransferRequestDate
      name
    }
    name
  }
}
```

### **Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

### Body (<mark style="color:orange;">ContactWhereUniqueInput</mark> object)

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | Contact ID  |

Example body:

```json
{
  "where": {
    "id": "cljzumgy0000gk603zl8u9xx2"
  }
}
```

### Response

Return values:

| Name                            | Type     | Description                                         |
| ------------------------------- | -------- | --------------------------------------------------- |
| id                              | String   | Contact ID                                          |
| address (contactCryptoAccounts) | String   | Blockchain Address (per contactCryptoAccount given) |
| code (blockchainProtocol)       | String   | Blockchain Code                                     |
| lastTransferRequestDate         | Datetime | Last Transfer Request Date                          |
| name (contactCryptoAccounts)    | String   | Name (of the contact's contactCryptoAccount)        |
| name                            | String   | Contact Name                                        |

{% tabs %}
{% tab title="🟢 Success" %}

```javascript
{
	"data": {
		"contact": {
			"id": "cljzumgy0000gk603zl8u9xx1",
			"contactCryptoAccounts": [
				{
					"address": "0xbd78e1bdd7fca39ac7a4c8cdeb89fc2bfcc57a0a",
					"blockchainProtocol": {
						"code": "account"
					},
					"lastTransferRequestDate": null,
					"name": "Credit Card Account"
				}
			],
			"name": "Georgia Hermann"
		}
	}
}
```

{% endtab %}

{% tab title="🔴 Failure" %}

{% endtab %}
{% endtabs %}

### Try it out!

{% embed url="<https://studio.apollographql.com/sandbox/explorer?endpoint=https://api.inabit.dev/graphql&explorerURLState=N4IgJg9gxgrgtgUwHYBcQC4QEcYIE4CeABAMISoCGUKAFACQDuAFvguqeSlSgOot4IAqkgCWOBAEkkABxgoAhAEoiwADpIiRKJ241mrdo34JlajZqIiw6i1p3UShaSggBBKNpioAzipu2iCjAwAW9vf1sAIwAbaABrKCYKESQABTwIF21ov3MAuzAECIsAX2LNaIpvFAAVPAokbwAzfAAlBHFqgBEKFCK8iyQKRGKygaGR8zGxkAAaEAA3CjwRChiEbwwQM01VEH0BPfYdiz2rI6I9qGiAKwAveABzAgAGN5fHuIA2F4BmO+iAA4YABOAAeYIAjHt-NN1HMQCwgvhNpgYSAEdIINUmtERI8mCgAPLSfC9ETkADKUBWzi2IBKQA>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/contacts/contact-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
